Kirjoittaja Aihe: historiatiedot WU palvelusta  (Luettu 728 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

Poissa Nummika

  • Mielipideprofessori
  • ***
  • Viestejä: 78
    • Sää Rauma, Uotila
historiatiedot WU palvelusta
« : Torstai, 08.10.2020, 08:36 »
Onko kukaan onnistunut saamaan historiatietoja weather undergroundista weewxiin?
Kokeilin saada tämän ohjeen mukaan http://weewx.com/docs/utilities.htm#Step-by-step_instructions
kaikki alkoi lupaavasti kunnes tuli http error ja tämän jälkeen säätiedot ja grafiikat poistuivat http://www.nummika.com/pwsmint/

Plokkasiko WU minut jotenkin? Säätiedot kyllä menevät palveluun normaalisti.
« Viimeksi muokattu: Torstai, 08.10.2020, 08:44 kirjoittanut Nummika »

Poissa iccb

  • Käytännössä asuu täällä
  • ****
  • Viestejä: 178
    • Säätilanne Eurassa
Vs: historiatiedot WU palvelusta
« Vastaus #1 : Torstai, 08.10.2020, 16:25 »
Saako tuolta WU:sta vielä kaiken historiadatan?
Jotain muutoksia siinä oli pari vuotta sitten. Sain itse jotain sieltä jossain vaiheessa, mutta ei kuitenkaan kovinkaan täydellistä. Jos sulla on data jossain muussa muodossa, niin kannattaa koittaa importata sitä kautta ne weewx:ään.

Poissa Nummika

  • Mielipideprofessori
  • ***
  • Viestejä: 78
    • Sää Rauma, Uotila
Vs: historiatiedot WU palvelusta
« Vastaus #2 : Torstai, 08.10.2020, 20:26 »
Onhan minulla, vanhasta on mysql .csv tiedosto sitten weather displaystä on tiedot mutta mikään ei tunnu onnistuvan.

Esim WD yritys
Koodia: [Valitse]
$ wee_import --import-config=/var/tmp/wd.conf --dry-run
Using WeeWX configuration file /etc/weewx/weewx.conf
Starting wee_import...
Weather Display monthly log files in the '/home/nummika/Asiakirjat/log' directory will be imported
Using database binding 'wx_binding', which is bound to database 'weewx.sdb'
Destination table 'archive' unit system is '0x01' (US).
Missing derived observations will be calculated.
All WeeWX UV fields will be set to None.
All WeeWX radiation fields will be set to None.
This is a dry run, imported data will not be saved to archive.
Starting dry run import ...
Records covering multiple periods have been identified for import.
Period 1 ...
Unexpected number of columns found in '12018vantageextrasensorslog.csv': 1 v 19
Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 368, in run
    _raw_data = self.getRawData(period)
  File "/usr/share/weewx/weeimport/wdimport.py", line 571, in getRawData
    _dt = datetime.datetime(int(rec['year']), int(rec['month']),
TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 368, in run
    _raw_data = self.getRawData(period)
  File "/usr/share/weewx/weeimport/wdimport.py", line 571, in getRawData
    _dt = datetime.datetime(int(rec['year']), int(rec['month']),
TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'

.csv tiedostosta yritys
Koodia: [Valitse]
$ wee_import --import-config=/var/tmp/csv.conf --dry-run
Using WeeWX configuration file /etc/weewx/weewx.conf
Starting wee_import...
A CSV import from source file '/home/nummika/Asiakirjat/alldata.csv' has been requested.
Using database binding 'wx_binding', which is bound to database 'weewx.sdb'
Destination table 'archive' unit system is '0x01' (US).
Missing derived observations will be calculated.
This is a dry run, imported data will not be saved to archive.
Starting dry run import ...
Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 368, in run
    _raw_data = self.getRawData(period)
  File "/usr/share/weewx/weeimport/csvimport.py", line 225, in getRawData
    _csv_reader = csv.DictReader(_clean_data, delimiter=self.delimiter)
  File "/usr/lib/python3.8/csv.py", line 86, in __init__
    self.reader = reader(f, dialect, *args, **kwds)
TypeError: "delimiter" must be a 1-character string
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 368, in run
    _raw_data = self.getRawData(period)
  File "/usr/share/weewx/weeimport/csvimport.py", line 225, in getRawData
    _csv_reader = csv.DictReader(_clean_data, delimiter=self.delimiter)
  File "/usr/lib/python3.8/csv.py", line 86, in __init__
    self.reader = reader(f, dialect, *args, **kwds)
TypeError: "delimiter" must be a 1-character string

Mikä lie mättää.

Poissa weatherc

  • Ylläpito
  • *****
  • Viestejä: 8922
Vs: historiatiedot WU palvelusta
« Vastaus #3 : Torstai, 08.10.2020, 22:36 »
Mä importteerasin datan aikoinas WeeWX:ään, ja jollen ihan väärin muista niin WD:n datan kanssa oli aika tuskallista. Koska WD:hän on liki tunnettu virheellisistä riveistään noissa logeissa.
Eli yksikin virheellinen rivi ja fail.
Taisin loppujen lopuksi käyttää Weatherlinkin generoimia filuja koko hommaan kun meni hermot ja mahdolliset puuttuvat palaset hain WU:sta.


Poissa Nummika

  • Mielipideprofessori
  • ***
  • Viestejä: 78
    • Sää Rauma, Uotila
Vs: historiatiedot WU palvelusta
« Vastaus #4 : Perjantai, 09.10.2020, 08:17 »
Tuntuu tuskallista olevan.
Mulla on WD tiedot, vanhan sivuston mysql .CSV tiedosto ja weathercloudin vuoen tiedot.
Lisäksi vielä WU , weatherlinkkiä sitten ei taas ole.
WU toimi kerran eilen 
wee_import --import-config=/var/tmp/wu.conf --from=2016-01-20T22:30 --to=2016-01-23T06:00 --dry-run
tuolla, eri päivämäärät kylläkin, mutta samoja virheitä oli sittnäkin.

Poissa iccb

  • Käytännössä asuu täällä
  • ****
  • Viestejä: 178
    • Säätilanne Eurassa
Vs: historiatiedot WU palvelusta
« Vastaus #5 : Perjantai, 09.10.2020, 09:53 »
Koita vaikka pilkkoa tuosta mysql datasta vuosi tai kuukausi kerrallaan data vaikka omaan tiedostoon ja tuoda sitä kautta palasissa. Tarkista vielä että että toi import-conffi on varmasti oikein.
Ei itselleni ainakaan oikein aukea noi virhesanomat, että missä se vika varmasti on.
Melkein laittaisin noita virheilmoituksia weewx:n tukifoorumille google groupsiin. Linkki löytyy weewx:n etusivulta...


Poissa weatherc

  • Ylläpito
  • *****
  • Viestejä: 8922
Vs: historiatiedot WU palvelusta
« Vastaus #6 : Perjantai, 09.10.2020, 10:43 »
Mitä virheitä se herjaa jos käytät mysqliä datana? Sitä kun olis ehkä helpointa muokata tarvittaessa PHPMyAdminilla ennen kun ottaa sen.
Komppaan tuota että koita palanen kerrallas eli vaikka kuukausi kerrallas.

Poissa Nummika

  • Mielipideprofessori
  • ***
  • Viestejä: 78
    • Sää Rauma, Uotila
Vs: historiatiedot WU palvelusta
« Vastaus #7 : Perjantai, 09.10.2020, 11:48 »
Pitää viikonloppuna kokeilla ehtiä testata tuota pilkkomista.

Mitä tämä errori meinaa, taitaa tulla aina:
Koodia: [Valitse]
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'Jotain tiedostoa ei ole?

Samaa herjaa tulee WUsta   wee_import --import-config=/var/tmp/wu.conf --from=2019-01-20T22:30 --to=2020-10-06T06:00
Latasi kaikki mutta ei onnistunu

Koodia: [Valitse]
[  File "/usr/share/weewx/weedb/sqlite.py", line 29, in guarded_fn
    return fn(*args, **kwargs)
  File "/usr/share/weewx/weedb/sqlite.py", line 211, in execute
    return sqlite3.Cursor.execute(self, *args, **kwargs)
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 431, in run
    self.dbm._write_metadata('lastUpdate', str(int(new_last_update)))
  File "/usr/share/weewx/weewx/manager.py", line 1182, in _write_metadata
    _cursor.execute(DaySummaryManager.meta_replace_str % self.table_name,
  File "/usr/share/weewx/weedb/sqlite.py", line 43, in guarded_fn
    raise weedb.OperationalError(e)
weedb.OperationalError: attempt to write a readonly database
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_share_weewx_wee_import.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/weewx/weedb/sqlite.py", line 29, in guarded_fn
    return fn(*args, **kwargs)
  File "/usr/share/weewx/weedb/sqlite.py", line 211, in execute
    return sqlite3.Cursor.execute(self, *args, **kwargs)
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/weewx/wee_import", line 900, in <module>
    main()
  File "/usr/share/weewx/wee_import", line 830, in main
    source_obj.run()
  File "/usr/share/weewx/weeimport/weeimport.py", line 431, in run
    self.dbm._write_metadata('lastUpdate', str(int(new_last_update)))
  File "/usr/share/weewx/weewx/manager.py", line 1182, in _write_metadata
    _cursor.execute(DaySummaryManager.meta_replace_str % self.table_name,
  File "/usr/share/weewx/weedb/sqlite.py", line 43, in guarded_fn
    raise weedb.OperationalError(e)
weedb.OperationalError: attempt to write a readonly database
/code]
« Viimeksi muokattu: Perjantai, 09.10.2020, 16:27 kirjoittanut Nummika »

Poissa iccb

  • Käytännössä asuu täällä
  • ****
  • Viestejä: 178
    • Säätilanne Eurassa
Vs: historiatiedot WU palvelusta
« Vastaus #8 : Perjantai, 09.10.2020, 19:00 »
Onko weewx:n oikeudet varmasti kunnossa? Tuleeko wu:sta herja jos koitat vaikka vaan viikon ladata dataa?
Mikä distro käytössä?

Poissa weatherc

  • Ylläpito
  • *****
  • Viestejä: 8922
Vs: historiatiedot WU palvelusta
« Vastaus #9 : Perjantai, 09.10.2020, 23:31 »
Koita ajaa noita ja weewx:ää yleensä roottina/sudo:lla.